<template>
  <!-- 核磅录入 -->
  <div class="page">
    <view class="packing-registration-bg" />
    <u-navbar title="核磅录入" :background="background" :border-bottom="false" :title-bold="true" title-color="#000"
      back-icon-color="#000" />
    <u-form :model="form" ref="uForm" :label-width="200" :rules="rules" :error-type="['toast']" class="uForm">
      <u-form-item label="核磅单号" :border-bottom="false" prop="value1">
        <u-input v-model="form.value1" type="select" placeholder="请选择核磅单号" @click="openList" />
      </u-form-item>
      <u-form-item label="产品类型" :border-bottom="false" prop="value2">
        <u-input v-model="form.value2" placeholder="" disabled />
      </u-form-item>
      <u-form-item label="车牌号" :border-bottom="false" prop="value3">
        <u-input v-model="form.value3" placeholder="" disabled />
      </u-form-item>
      <u-form-item label="发货通知单" :border-bottom="false" prop="value4">
        <u-input v-model="form.value4" placeholder="" disabled />
      </u-form-item>
      <u-form-item label="客户名称" :border-bottom="false" prop="value5">
        <u-input v-model="form.value5" placeholder="" disabled />
      </u-form-item>
      <u-form-item label="司磅员" :border-bottom="false" prop="value6">
        <u-input v-model="form.value6" placeholder="" disabled />
      </u-form-item>
      <u-form-item label="叉车司机" :border-bottom="false" prop="value7">
        <u-input v-model="form.value7" placeholder="" disabled />
      </u-form-item>
      <u-form-item label="核磅记录" :border-bottom="false" prop="value8">
        <u-input v-model="form.value8" type="select" placeholder="" @click="open" />
      </u-form-item>
      <u-form-item label="扫码记录（0条）:" :border-bottom="false" prop="value4" :label-width="260">
        <!-- <u-input v-model="form.value4" placeholder="" disabled /> -->
      </u-form-item>
    </u-form>
    <u-button type="primary" class="bottom-button">提交</u-button>
    <scan></scan>
  </div>
</template>

<script>
import scan from "@/components/scan/scan.vue";
import content_bg from '@/static/custom/packing/backBg.png'
export default {
  components: { scan },
  data() {
    return {
      background: {
        backgroundImage: `url(${content_bg})`,
        backgroundAttachment: 'fixed',
        backgroundSize: '100% auto',
        backgroundRepeat: 'no-repeat',
      },
      form: {
        value0: '',
        value1: '',
        value2: '',
        value3: '',
        value4: '',
        value5: '',
        value6: '',
        value7: '',
        value8: ''
      },
      rules: {
        value1: [
          {
            required: true,
            message: '请选择核磅单号',
            trigger: ['change', 'blur'],
          },
        ],
      },
    }
  },
  onReady() {
    this.$refs.uForm.setRules(this.rules);
  },
  onShow() {
    let that = this
    uni.$off('scan') // 每次进来先 移除全局自定义事件监听器
    uni.$on('scan', function (data) {
      console.log('onscan');
      //扫码成功后的回调，你可以写自己的逻辑代码在这里
      console.log('页面扫码结果：', data.code);
      if (data.code) {
        let codeInfo = JSON.parse(data.code)
        if (codeInfo.WorkNo) {
          // 扫描报工单二维码
          that.saveForm(codeInfo);
        }
      }
    })
  },
  methods: {
    // 弹框保存
    confirm() {
      console.log('保存', this.form.value1);
      // 请求接口，根据工单号查询其他信息并赋值
    },
    // 选择订单号
    openList() {
      uni.navigateTo({
        url: '/pages/wareHouse/nuclearScale/nuclearScaleList'
      })
    },
    // 存订单号
    setNo(val) {
      this.form.value3 = val
    },
    // 回显扫码的信息-报工单
    saveForm(val) {
      let { WorkNo, ProcessName, ORDER_NO } = val
      this.form.value1 = WorkNo
      this.form.value2 = ProcessName
      this.form.value3 = ORDER_NO
    }
  }
}
</script>

<style lang="scss">
@import 'index.scss';
</style>